Subject: [GIT PULL v2] mfd/gpio: New pull request with irq_base removed

From: Lee Jones <[email-masked]>
Date: Fri, 23 May 2014 09:50:06 +0100

> > drivers/mfd/stmpe.c: In function 'stmpe_irq_init':
> > drivers/mfd/stmpe.c:1000:15: error: 'struct stmpe' has no member named 'irq_base'
> >    base = stmpe->irq_base;
> >                ^
> >
> > Caused by commit 3ba1d516d5fe ("mfd: stmpe: root out static GPIO and
> > IRQ assignments").
> 
> Some mishap in merging these patches I think. I don't have that
> line in my branch with the latest patches,

I'm not sure that's true:

`git grep irq_base linusw-next/stmpe-for-lee -- drivers/mfd/stmpe.c`

  linusw-next/stmpe-for-lee:drivers/mfd/stmpe.c: base = stmpe->irq_base;

>I'll get the proper versions to Lee somehow.

I've fixed up the branch and re-pushed:

The following changes since commit 89ca3b881987f5a4be4c5dbaa7f0df12bbdde2fd:

  Linux 3.15-rc4 (2014-05-04 18:14:42 -0700)

are available in the git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/lee/mfd.git tags/ib-mfd-gpio-v3.16

for you to fetch changes up to 9e9dc7d9597bd6881b3e7ae6ae3d710319605c47:

  mfd: stmpe: root out static GPIO and IRQ assignments (2014-05-23 09:41:01 +0100)

----------------------------------------------------------------
Immutable branch between MFD and GPIO due for the v3.16 merge window.

----------------------------------------------------------------
Linus Walleij (4):
      mfd: stmpe: mask off unused blocks properly
      mfd: stmpe: Probe properly from the Device Tree
      mfd: stmpe: add optional regulators
      mfd: stmpe: root out static GPIO and IRQ assignments

 drivers/gpio/gpio-stmpe.c | 18 +++++-------------
 drivers/mfd/Kconfig       |  1 +
 drivers/mfd/stmpe-i2c.c   | 30 +++++++++++++++++++++++++++++-
 drivers/mfd/stmpe.c       | 33 ++++++++++++++++++++++++++++-----
 drivers/mfd/stmpe.h       |  2 +-
 include/linux/mfd/stmpe.h | 19 +++++--------------
 6 files changed, 69 insertions(+), 34 deletions(-)

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org │ Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog